Page MenuHomePhabricator

[AdManager] AdManager.hooks.php: PHP Warning: Invalid argument supplied for foreach()
Closed, ResolvedPublic

Description

[error] [452fbe9c] /wiki/Special:Version?uselang=en   ErrorException from line 36 of /vagrant/mediawiki/extensions/AdManager/AdManager.hooks.ph
p: PHP Warning: Invalid argument supplied for foreach()
#0 /vagrant/mediawiki/includes/Hooks.php(253): MWExceptionHandler::handleError(integer, string, string, integer, array, array)
#1 /vagrant/mediawiki/extensions/AdManager/AdManager.hooks.php(36): Hooks::hookErrorHandler(integer, string, string, integer, array, array)
#2 /vagrant/mediawiki/includes/Hooks.php(204): AdManagerHooks::SkinBuildSidebar(SkinVector, array)
#3 /vagrant/mediawiki/includes/skins/Skin.php(1244): Hooks::run(string, array)
#4 /vagrant/mediawiki/includes/skins/SkinTemplate.php(461): Skin->buildSidebar()
#5 /vagrant/mediawiki/includes/skins/SkinTemplate.php(240): SkinTemplate->prepareQuickTemplate()
#6 /vagrant/mediawiki/includes/OutputPage.php(2314): SkinTemplate->outputPage()
#7 /vagrant/mediawiki/includes/MediaWiki.php(690): OutputPage->output()
#8 /vagrant/mediawiki/includes/MediaWiki.php(476): MediaWiki->main()
#9 /vagrant/mediawiki/index.php(41): MediaWiki->run()
#10 /var/www/w/index.php(5): include(string)
#11 {main}

Event Timeline

Nemo_bis created this task.Sep 13 2015, 7:32 AM
Nemo_bis raised the priority of this task from to Needs Triage.
Nemo_bis updated the task description. (Show Details)
Nemo_bis added a subscriber: Nemo_bis.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 13 2015, 7:32 AM
Liuxinyu970226 added a subscriber: tosfos.
Liuxinyu970226 added a subscriber: Liuxinyu970226.
tosfos claimed this task.Oct 28 2015, 9:32 PM

introduced by commit a66f25c

Change 249575 had a related patch set uploaded (by tosfos):
Bugfix: Make sure ads are defined for this page

https://gerrit.wikimedia.org/r/249575

Change 249575 merged by jenkins-bot:
Bugfix: Make sure ads are defined for this page

https://gerrit.wikimedia.org/r/249575

Nemo_bis closed this task as Resolved.Apr 22 2016, 5:52 PM

Thanks both!